require('dotenv').config();
const express = require('express');

// Invoke express app
const app = express();

const APIRoutes = require('./routes/api');
const Loggerware = require('./middleware/Logger');

// Set up middleware
app.use(Loggerware);

// Set up API routes
app.use(APIRoutes);

// Listen on port set in .env
app.listen(process.env.PORT, () => {
    console.log('Server is listening on port ' + process.env.PORT);
});